---
title: "Run now"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › reporter

`POST /v2/reporter/report-schedules/{id}/run-now`

## Path parameters

- `id` (`reporter-report-schedules-run-now.path.id`; string, required)
  - format `uuid`

## Request body

- `periodStart` (`reporter-report-schedules-run-now.periodStart`; string, optional)
  - pattern `^\d{4}-\d{2}-\d{2}$`
- `periodEnd` (`reporter-report-schedules-run-now.periodEnd`; string, optional)
  - pattern `^\d{4}-\d{2}-\d{2}$`

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sureshake.com/v2/reporter/report-schedules/<id>/run-now' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/reporter/report-schedules/<id>/run-now';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/reporter/report-schedules/<id>/run-now"

payload = {}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 202

Default Response

#### Example

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "scheduleId": "b7b4f318-018f-4d71-ac1a-f61e4bfaefbe",
    "trigger": "scheduled",
    "periodStart": "string",
    "periodEnd": "string",
    "scheduledFor": "2019-08-24T14:15:22Z",
    "reportRunId": "f4a11d1c-8da3-4ee0-abdd-af00e260f7bd",
    "reportRunStatus": "queued",
    "status": "queued",
    "outputUri": "string",
    "publishedReportId": "64593163-21d4-4e74-943d-7ee8399ac5ef",
    "error": "string",
    "distributionStatus": "not_requested",
    "deliveries": [
      {
        "channel": "viewer_group",
        "target": "string",
        "status": "sent",
        "detail": "string",
        "recordedAt": "2019-08-24T14:15:22Z"
      }
    ],
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`reporter-report-schedules-run-now.response.202.data`; object, required)
  - `id` (`reporter-report-schedules-run-now.response.202.data.id`; string, required)
    - format `uuid`
  - `scheduleId` (`reporter-report-schedules-run-now.response.202.data.scheduleId`; string, required)
    - format `uuid`
  - `trigger` (`reporter-report-schedules-run-now.response.202.data.trigger`; string, required)
    - one of `"scheduled"`, `"manual"`
  - `periodStart` (`reporter-report-schedules-run-now.response.202.data.periodStart`; string, required)
    - pattern `^\d{4}-\d{2}-\d{2}$`
  - `periodEnd` (`reporter-report-schedules-run-now.response.202.data.periodEnd`; string, required)
    - pattern `^\d{4}-\d{2}-\d{2}$`
  - `scheduledFor` (`reporter-report-schedules-run-now.response.202.data.scheduledFor`; string, required)
    - format `date-time`
  - `reportRunId` (`reporter-report-schedules-run-now.response.202.data.reportRunId`; string, required, nullable)
    - format `uuid`
  - `reportRunStatus` (`reporter-report-schedules-run-now.response.202.data.reportRunStatus`; string, required, nullable)
    - one of `"queued"`, `"running"`, `"overdue"`, `"succeeded"`, `"failed"`
  - `status` (`reporter-report-schedules-run-now.response.202.data.status`; string, required)
    - one of `"queued"`, `"running"`, `"succeeded"`, `"failed"`
  - `outputUri` (`reporter-report-schedules-run-now.response.202.data.outputUri`; string, required, nullable)
  - `publishedReportId` (`reporter-report-schedules-run-now.response.202.data.publishedReportId`; string, required, nullable)
    - format `uuid`
  - `error` (`reporter-report-schedules-run-now.response.202.data.error`; string, required, nullable)
  - `distributionStatus` (`reporter-report-schedules-run-now.response.202.data.distributionStatus`; string, required)
    - one of `"not_requested"`, `"pending"`, `"sent"`, `"partial"`, `"failed"`
  - `deliveries` (`reporter-report-schedules-run-now.response.202.data.deliveries`; array<object>, required)
    - `channel` (`reporter-report-schedules-run-now.response.202.data.deliveries.channel`; string, required)
      - one of `"viewer_group"`, `"email"`
    - `target` (`reporter-report-schedules-run-now.response.202.data.deliveries.target`; string, required)
      - minLength 1
    - `status` (`reporter-report-schedules-run-now.response.202.data.deliveries.status`; string, required)
      - one of `"sent"`, `"failed"`
    - `detail` (`reporter-report-schedules-run-now.response.202.data.deliveries.detail`; string, required, nullable)
    - `recordedAt` (`reporter-report-schedules-run-now.response.202.data.deliveries.recordedAt`; string, required)
      - format `date-time`
  - `createdAt` (`reporter-report-schedules-run-now.response.202.data.createdAt`; string, required)
    - format `date-time`
  - `updatedAt` (`reporter-report-schedules-run-now.response.202.data.updatedAt`; string, required)
    - format `date-time`
- `meta` (`reporter-report-schedules-run-now.response.202.meta`; object, optional)
  - `timestamp` (`reporter-report-schedules-run-now.response.202.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.400.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.401.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.403.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.404.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.409.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.422.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`reporter-report-schedules-run-now.response.500.error`; object, required)
  - `code` (`reporter-report-schedules-run-now.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`reporter-report-schedules-run-now.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`reporter-report-schedules-run-now.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`reporter-report-schedules-run-now.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/reporter-report-schedules-run-now/index.md
